#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.3
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		libkomparediff2
Summary:	libkomparediff2
Name:		ka6-%{kaname}
Version:	24.12.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ffe706fbe62eb78e7a78dcf2e7d5717e
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= 5.4.0
BuildRequires:	Qt6Widgets-devel >= 5.4.0
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcodecs-devel >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	kf6-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library to compare files and strings, used in Kompare and KDevelop.

%description -l pl.UTF-8
Biblioteka do porównynwania plików i łańcuchów znaków, używana przez
Kompare i KDevelop.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%ghost %{_libdir}/libkomparediff2.so.?
%attr(755,root,root) %{_libdir}/libkomparediff2.so.*.*
%{_datadir}/qlogging-categories6/libkomparediff2.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KompareDiff2
%{_libdir}/cmake/KompareDiff2
%{_libdir}/libkomparediff2.so
%changelog
* Sat Mar 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-libkomparediff2.git;a=log;h=master

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 665d9ce
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1937a8c
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 76865bb
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4eb3b33
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de5badf
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5399bc6
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 42c4440
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ee693ab
- updated to 24.08.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 73fb0bb
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 307eae6
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ad2646f
- updated to 24.02.0

